Package net.shibboleth.spring.security.trust

# Class AbstractPKIXValidationInfoParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.spring.security.trust.AbstractPKIXValidationInfoParser

All Implemented Interfaces:
  `BeanDefinitionParser`

Direct Known Subclasses:
  `PKIXInlineValidationInfoParser`, `PKIXResourceValidationInfoParser`

public abstract class AbstractPKIXValidationInfoParser extends AbstractCustomBeanDefinitionParser
Base parser for all <ValidationInfo> types. This does all the heavy lifting of creating lists of strings from the sub-elements. The derived classes specify which factory bean to create and that in turn converts from string to CRL or Certificate (either inline or from a file).

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final QName`
`CERTIFICATE`
The element <Certificate>.
`private static final QName`
`CRL`
The element <CRL>.

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractPKIXValidationInfoParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CERTIFICATE

@Nonnull private static final QName CERTIFICATE
The element <Certificate>.

### CRL

@Nonnull private static final QName CRL
The element <CRL>.

## Constructor Details

### AbstractPKIXValidationInfoParser

public AbstractPKIXValidationInfoParser()

## Method Details

### doParse

protected void doParse(@Nonnull Element element, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractSingleBeanDefinitionParser`